#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1684fbee, "module_layout" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0xcb98a9be, "kmem_cache_alloc_trace" },
	{ 0xfecd7335, "kmalloc_caches" },
	{ 0x3c58e78f, "objagg_hints_put" },
	{ 0x352633f4, "objagg_hints_stats_get" },
	{ 0xfaa9d1a8, "objagg_hints_get" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x342aefe2, "objagg_obj_delta_priv" },
	{ 0x23865923, "objagg_destroy" },
	{ 0x679e8cc2, "objagg_create" },
	{ 0xf5511527, "objagg_stats_put" },
	{ 0xdaa3ee68, "objagg_stats_get" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x24ca5ca9, "objagg_obj_root_priv" },
	{ 0xa99b39c2, "prandom_bytes" },
	{ 0xc959d152, "__stack_chk_fail" },
	{ 0xb17ab162, "objagg_obj_get" },
	{ 0xc5850110, "printk" },
	{ 0x6691f29d, "objagg_obj_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
};

MODULE_INFO(depends, "objagg");


MODULE_INFO(srcversion, "1FCD6563E2941B388E1F908");
